﻿#include "custommoduleplugin.h"
#include "sysusermgt/musermgt.h"
#include "sysmainwindow/msysmainwindow.h"

QStringList TopSysPlugin::getClassList()
{    
    return QStringList()<< QStringLiteral("Musermgt")
                        << QStringLiteral("SysMainWindow");
}

TopClassAbs *TopSysPlugin::newClass(const QString &iClassName,
                                          const QString &iModuleName,
                                          const QVariantMap &iUrlPars)
{
    if (iClassName == QStringLiteral("SysMainWindow")) {
        return new SysMainWindow(iModuleName, iUrlPars, nullptr);
    } else if (iClassName == QStringLiteral("Musermgt")) {
        return new Musermgt(iModuleName, iUrlPars, nullptr);
    }
    return nullptr;
}
